from junitparser import JUnitXml
from pathlib import Path
import os
import glob

allReports = []

for path in Path('tests').rglob('JunitTestResults.xml'):
    allReports.append(path)

mergedReports = JUnitXml()

for report in allReports:
    report = JUnitXml.fromfile(report)
    print(report)
    mergedReports += report

mergedReports.filepath = "mergedReports.xml"
mergedReports.write()
