#!/bin/bash 

BLUE='\033[0;34m'
GREEN='\033[0;32m'
RED='\033[0;31m'
NC='\033[0m' # No Color

SCRIPT_PATH=$(pwd)
testFailed=0

for path in `find ../../../ -mindepth 1 -not -path "../../../.git**" -not -path "../../../einfprog-2024-tests**" -type d`; do
    cleanPath="${path:9}"

    studPathInWhiteList=$( grep -c "^$cleanPath" ../paths.txt)
    
    if [[ $studPathInWhiteList -eq 0 ]]; then
        echo "FolderTest|FolderTester|$cleanPath is not in expected folders" >> TestResults.txt
        testFailed=1
    fi
done

if [[ $testFailed -eq 0 ]]; then
    echo "FolderTest|FolderTester" >> TestResults.txt
fi

exit $testFailed
